print("register fruit type: potato");

local hudFile = Utils.getFilename("mods/Map_Fruits/potatoHUD.png", getUserProfileAppPath());
FruitUtil.registerFruitType("potato", true, true, false, false, 0.4, 0.8, 0.02, 1, hudFile);

--local origLoadStatsFromXML = QuickPlayMenu.loadStatsFromXML;
local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;

	self.seeds = {};
	local i = 1;
    for k, fruitType in pairs(FruitUtil.fruitTypes) do
        if fruitType.allowsSeeding then
            self.seeds[i] = fruitType.index;
			i = i + 1;
        end;
    end;
end;




